Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.shared
Class AbstractMap.SimpleEntry<K,V>

    java.lang.Object
      org.teleal.cling.support.shared.AbstractMap.SimpleEntry<K,V>

All Implemented Interfaces:
  Serializable, Map.Entry<K,V>

Enclosing class:
  AbstractMap<K,V>

    public static class AbstractMap.SimpleEntry<K,V>

extends Object
implements Map.Entry<K,V>, Serializable

A key-value mapping with mutable values.

Since:
  1.6
See Also:
  Serialized Form

Constructor Summary
`AbstractMap.SimpleEntry(K theKey, V theValue)`
`AbstractMap.SimpleEntry(Map.Entry<? extends K,? extends V> copyFrom)` Constructs an instance with the key and value of `copyFrom`.

Method Summary
`boolean` | `equals(Object object)`
`K` | `getKey()`
`V` | `getValue()`
`int` | `hashCode()`
`V` | `setValue(V object)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractMap.SimpleEntry

    public AbstractMap.SimpleEntry(K theKey,
                                   V theValue)

### AbstractMap.SimpleEntry

    public AbstractMap.SimpleEntry(Map.Entry<? extends K,? extends V> copyFrom)

  Constructs an instance with the key and value of `copyFrom`.

Method Detail

### getKey

    public K getKey()

  Specified by:
    `getKey` in interface `Map.Entry<K,V>`

### getValue

    public V getValue()

  Specified by:
    `getValue` in interface `Map.Entry<K,V>`

### setValue

    public V setValue(V object)

  Specified by:
    `setValue` in interface `Map.Entry<K,V>`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Map.Entry<K,V>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map.Entry<K,V>`
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.